[dart-announce] Breaking change 48272: discontinue .packages file

58 views
Skip to first unread message

'Michael Thomsen' via Dart Announcements

unread,
Feb 7, 2022, 10:31:08 AMFeb 7
to Dart Announcements
We've planning on changing the dart pub get & flutter pub get commands to no longer produce the .packages file in the next stable release, and to fully remove support for that file in the following stable release.

The .packages file was replaced with the .dart_tool/package_config.json file in Dart 2.8.

See https://github.com/dart-lang/sdk/issues/48272 for more information and comment there if you have any concerns.

--
For more ways to connect visit https://dart.dev/community

'Michael Thomsen' via Dart Announcements

unread,
May 10, 2022, 10:27:26 AMMay 10
to Dart Announcements, Michael Thomsen
Update: The change to no longer generate the .packages file is now scheduled to happen in the Dart 2.18 release.

Kind regards, Michael
Reply all
Reply to author
Forward
0 new messages